gsw_Fdelta {gsw} | R Documentation

## Ratio of Absolute to Preformed Salinity, minus 1

### Description

Ratio of Absolute to Preformed Salinity, minus 1

### Usage

    gsw_Fdelta(p, longitude, latitude)

### Arguments

`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`longitude` | longitude in decimal degrees, positive to the east of Greenwich. (This is called `long` in the TEOS-10 Matlab code.)
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

(S/SStar)-1 [ unitless ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_Fdelta.html

### Examples

    p <- c(         10,   50,  125,  250,  600, 1000)
    latitude <- c(   4,    4,    4,    4,    4,    4)
    longitude <- c(188,  188,  188,  188,  188,  188)
    r <- gsw_Fdelta(p, longitude, latitude)
    expect_equal(r/1e-3, c(0.006472309923452, 0.010352848168433, 0.025541937543450,
                         0.104348729347986, 0.218678084205081, 0.365415366571266))

[Package gsw version 1.0-5 Index]